Bug 42510 - Missing la-latin1 keyboard layout
Summary: Missing la-latin1 keyboard layout
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-27 22:52 UTC by Rafael Baquero S.
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 13:00:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xmodmap file for Latin American Keyboard (3.43 KB, text/plain)
2001-07-22 11:47 UTC, Rafael Baquero S.
no flags Details

Description Rafael Baquero S. 2001-05-27 22:52:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
The la-latin1 (Latin American) keyboard layout is missing in Red Hat Linux
7.1.
This layout was present in versions 6.1, 6.2, and 7.0.

How reproducible:
Always

Steps to Reproduce:
1.Install Red Hat Linux with KDE
2.Open KDE's Control Center.
3.Choose Personalization -> Keyboard layout.
4.Click on the Primary layout drop down.
	

Actual Results:  The la-latin1 keyboard is missing.

Expected Results:  There should be an entry for la-latin1 (Latin American)
keyboards.

Additional info:

This layout was present in previous versions of Red Hat Linux.

Comment 1 Rafael Baquero S. 2001-07-22 11:46:02 UTC
The la-latin1 keyboard can be used if you disable KDE's keyboard layout manager
and use a Xmodmap file. The following steps disable kxkb ( KDE's keyboard layout
manager ).
i) switch to directory ~/.kde/share/config
ii) If you have a file named kxkbrc open it with a text editor.
iii) Find the parameter Use and change its value from true to false.
iv) Save the file.
v) Copy the attached file named Xmodmap to ~/.Xmodmap
vi) Restart X.

You should be able to use your Latin American keyboard now but you cannot swith
to other keyboards with KDE's Control Center.

Hope this helps someone.

Comment 2 Rafael Baquero S. 2001-07-22 11:47:44 UTC
Created attachment 24489 [details]
Xmodmap file for Latin American Keyboard

Comment 3 Ngo Than 2004-09-20 13:00:20 UTC
Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if it still occurs.

Closing as "CURRENTRELEASE" for now.


Note You need to log in before you can comment on or make changes to this bug.